=head1 NAME

Gtk2::Socket

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Socket



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Socket-E<gt>B<new> 

=head2 $socket-E<gt>B<add_id> ($window_id)

=over

=item * $window_id (Gtk2::Gdk::NativeWindow) 

=back

=head2 nativewindow = $socket-E<gt>B<get_id> 

=head2 window or undef = $socket_-E<gt>B<get_plug_window> 

Since: gtk+ 2.14

=head2 $socket-E<gt>B<steal> ($wid)

=over

=item * $wid (Gtk2::Gdk::NativeWindow) 

=back



=cut


=head1 SIGNALS

=over

=item B<plug-added> (Gtk2::Socket)

=item boolean = B<plug-removed> (Gtk2::Socket)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

